# Movement

#### `GET /accounts/:account_id/movements` <a href="#get-accounts-account_id-movements" id="get-accounts-account_id-movements"></a>

> Sample Response

```
{
  "message": [
    {
      "run_id": "500",
      "movement_timestamp": 1554395972174,
      "movement_id": "ab938734-0aa6-4378-baa1-2cc56aeee757",
      "movement_type": "final_settlement",
      "trade_id": "951806f4-d3ba-42c4-96fe-8083cd3202cf",
      "deposit_reference_id": null,
      "withdrawal_request_id": null,
      "change": "100"
    },
    {
      "run_id": "500",
      "movement_timestamp": 1554395972174,
      "movement_id": "d8f902be-f8c3-4f9c-ac66-67000510900d",
      "movement_type": "final_settlement",
      "trade_id": "3ad29e08-8b4f-435b-89aa-17b7a298b350",
      "deposit_reference_id": null,
      "withdrawal_request_id": null,
      "change": "-200"
    },
    {
      "run_id": "498",
      "movement_timestamp": 1554395972000,
      "movement_id": "c6af3d80-1aca-4280-b96b-a9b8d7ced46a",
      "movement_type": "deposit",
      "trade_id": null,
      "deposit_reference_id": "ebedc42f-85c3-4468-8894-1cb6f49f7a04",
      "withdrawal_request_id": null,
      "change": "10000"
    },
    {
      "run_id": "497",
      "movement_timestamp": 1554395972000,
      "movement_id": "c6af3d80-1aca-4280-b96b-a9b8d7ced46a",
      "movement_type": "withdrawal",
      "trade_id": null,
      "deposit_reference_id": null,
      "withdrawal_request_id": "100",
      "change": "-50"
    }
  ],
  "page": 1,
  "total_pages": 40
}
```

Returns the history of each itemized movement that has been applied to an account to lead up to its current balance.

Optional query parameters include:

* `page` for paginating through the movements
* `movement_timestamp` filters movements based on a given timestamp in milliseconds `1593798130060` or nanoseconds `1593798130060000000` using the following next params for the following filter types:
  * `[gt]` greater than a given timestamp, e.g. `movement_timestamp[gt]=1593798130060`
  * `[gte]` greater than or equal to a given timestamp, e.g. `movement_timestamp[gte]=1593798130060`
  * `[e]` equal to a given timestamp, e.g. `movement_timestamp[e]=1593798130060`
  * `[lt]` less than a given timestamp, e.g. `movement_timestamp[lt]=1593798130060`
  * `[lte]` lower than or equal to a given timestamp, e.g. `movement_timestamp[lte]=1593798130060`
  * combinations are also possible, e.g. to find a movements between `1593798130555` and `1593798130777` you can use the next combination `movement_timestamp[gt]=1593798130555&movement_timestamp[lt]=1593798130777`

<table><thead><tr><th width="222.33333333333331">Parameter</th><th width="397">Description</th><th>Type</th></tr></thead><tbody><tr><td>run_id</td><td>A unique ID for the particular run</td><td>string</td></tr><tr><td>movement_timestamp</td><td>The timestamp of the specific movement</td><td>timestamp</td></tr><tr><td>movement_id</td><td>A unique ID for the specific account update</td><td>string</td></tr><tr><td>movement_type</td><td>The type of movement</td><td>string</td></tr><tr><td>trade_id</td><td>The unique identifier of the trade or loan that resulted in the movement, if the movement was due to a trade or loan<br>If a trade, this is equal to the <code>trade_id</code> field provided via the /trades</td><td>string</td></tr><tr><td>deposit_reference_id</td><td>This is an external identifier associated with the deposit, if the movement was due to a deposit<br>This is equal to the <code>reference_id</code> field provided via the /deposits endpoint</td><td>string</td></tr><tr><td>withdrawal_request_id</td><td>The withdrawal request ID, if the movement was due to a withdrawal<br>This is equal to the <code>id</code> field provided via the /withdrawals/requests endpoint</td><td>string</td></tr><tr><td>change</td><td>The change due to the specific movement</td><td>string</td></tr></tbody></table>

**Movement Type**

<table><thead><tr><th width="250">Movement</th><th>Description</th></tr></thead><tbody><tr><td>collateralize_loan</td><td>A movement related to an increase in collateral held for any open loan(s)</td></tr><tr><td>deposit</td><td>A deposit of additional assets into NDAX</td></tr><tr><td>execution_fee</td><td>A movement due to incurred execution fees related to your trading activity on a NDAX's liquidity venue</td></tr><tr><td>final_settlement</td><td>A movement due to the full delivery and final settlement of a trade</td></tr><tr><td>final_settlement_default</td><td>A movement due to a financially-settled trade whose final settlement obligation could not be fully settled due to a default</td></tr><tr><td>final_settlement_default_fallback</td><td>A movement due to the financial settlement for the portion of a physically-settled trade's final settlement obligation that was not fully delivered due to a default</td></tr><tr><td>final_settlement_default_partial</td><td>A movement due to the partial physical delivery of a physically-settled trade whose final settlement obligation could not be fully delivered due to a default</td></tr><tr><td>initial_margin</td><td>A movement related to an increase or decrease in collateral held for any open position(s)</td></tr><tr><td>interest_payment</td><td>A payment of interest for a loan</td></tr><tr><td>loan_collateral_return</td><td>A movement related to a decrease in collateral held for any open loan(s)</td></tr><tr><td>network_fee</td><td>A blockchain network fee incurred due to an on-chain movement related to your wallet</td></tr><tr><td>principal_swap</td><td>A transfer of principal and collateral assets to open a loan</td></tr><tr><td>repayment</td><td>A transfer to return principal and collateral for a loan that has terminated</td></tr><tr><td>transfer</td><td>An internal transfer to or from an account at NDAX</td></tr><tr><td>variation_margin</td><td>A payment made or collected due to changes in the market value of the position since the trade was executed or since the previous time the position was marked to market</td></tr><tr><td>variation_margin_previous</td><td>A payment made or collected to settle a previously outstanding variation margin obligation</td></tr><tr><td>withdrawal</td><td>A processed withdrawal from NDAX</td></tr><tr><td>withdrawal_confirmed</td><td>Reversal of the temporary hold due to a withdrawal being processed</td></tr><tr><td>withdrawal_pending</td><td>Temporary hold whilst a withdrawal is being processed</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/accounts/movement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
